require 'omniauth-oauth2'

module OmniAuth
  module Strategies
    class CV < OmniAuth::Strategies::OAuth2
      option :name, 'cv'
      option :client_options, { site: 'https://id.yesheis.com' }

      uid { raw_info['uid'] }

      info do
        raw_info
      end

      def raw_info
        @raw_info ||= access_token.get('/me').parsed
      end
    end
  end
end

